import java.util.Scanner;

public class Sorte {

    // método que itera sobre os dados de um jogador e retorna sua pontuação
	public static int avalia(int[] dados) {
		int pontos = 0;
		boolean cancela = false;
		boolean dobra = false;
		
		for (int i = 0; i < 6; i++) {
			if (cancela) {
				cancela = false;
				continue;
			}
			pontos += dados[i];
			if (dobra) {
				pontos += dados[i];
				dobra = false;
			}
			if (dados[i] == 6) {
				dobra = true;
			}
			if (dados[i] == 1) {
				cancela = true;
			}
		}
		
		return pontos;
	}
	
	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);

		// numero de duelos que serão julgados
		int numCasos = Integer.parseInt(sc.nextLine());
		
		for (int i = 0; i < numCasos; i++) {
			int linha = 0; // contador de dados
			int buraco = -1; // contador que armazenha a linha que BuracoDeMinhoca foi usado
			int troca = -1; // contador que armazenha a linha que TrocaElementar foi usado
			int[][] dados = new int[2][6];
			while (linha < 6) {
				String input = sc.nextLine();
				if (input.equals("BuracoDeMinhoca"))  {
					buraco = linha - 1;
				} else if (input.equals("TrocaElementar")) {
					troca = linha - 1;
				} else {
					String[] inputSplit = input.split(" "); // divide a linha nos espaços
					dados[0][linha] = Integer.parseInt(inputSplit[0]);
					dados[1][linha] = Integer.parseInt(inputSplit[1]);
					linha++;
				}
			}

			// realiza o BuracoDeMinhoca
			for (int j = 0; i < buraco; i++) {
				if (dados[0][j] == 1) {
					dados[0][j] = 6;
					break;
				}
			}

			// realiza a TrocaElementar
			if (troca > -1) {
				int trocado = dados[1][troca];
				
				for (int j = troca; j >= 0; j--) {
					if (dados[0][j] == 6){
						int aux = dados[0][j];
						dados[0][j] = trocado;
						if (troca < 5) {
							dados[1][troca+1] = aux;
						} else {
							dados[1][5] = aux;
						}
						break;
					}
				}
			}

			// avalia a pontuação de cada competidor
			int strange = avalia(dados[0]);
			int holmes = avalia(dados[1]);
			// imprime o resultado
			if (strange > holmes)
				System.out.println("Strange venceu com " + strange + " pontos");
			else if (holmes > strange)
				System.out.println("Holmes venceu com " + holmes + " pontos");
			else
				System.out.println("De acordo com os dados nao ha vencedores");
		}
	}
}





